package com.sooka.system.gas.zenner_user_infor.domain;

import com.sooka.common.annotation.Excel;
import com.sooka.system.domain.BaseBusinessEntity;
import lombok.Getter;
import lombok.Setter;

/**
 * 真兰收费系统-用户信息对象
 *
 * @author lei
 * @date 2022-08-22
 */
@Getter
@Setter
public class TGuijiZennerUserInfor extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    @Excel(name = "序号")
    private String id;

    /** 插入时间 */
    @Excel(name = "插入时间")
    private String cdTime;

    /** 批次号 */
    @Excel(name = "批次号")
    private String cdBatch;

    /** 标志位 */
    @Excel(name = "标志位")
    private String cdOperation;

    /** 数据来源 */
    @Excel(name = "数据来源")
    private String cdSource;

    /** 用户GUID */
    @Excel(name = "用户GUID" )
    private String GUID;

    /** 用户编号 */
    @Excel(name = "用户编号" )
    private String VC_UI_CODE;

    /** 用户姓名 */
    @Excel(name = "用户姓名" )
    private String VC_UI_NAME;

    /** 用户状态(0停用(退户)  1启用  2销户) */
    @Excel(name = "用户状态" )
    private String VC_UI_STATE;

    /** 用户地址 */
    @Excel(name = "用户地址" )
    private String VC_UI_ADDR;

    /** 用户电话 */
    @Excel(name = "用户电话" )
    private String VC_UI_TEL;

    /** 证件号码 */
    @Excel(name = "证件号码" )
    private String VC_UI_IDNO;

    /** 用户备注 */
    @Excel(name = "用户备注" )
    private String VC_UI_REMARK;

    /** 上次结余 */
    @Excel(name = "上次结余" )
    private String N_UI_BEFOREAMOUNT;

    /** 本次结余 */
    @Excel(name = "本次结余" )
    private String N_UI_LASTAMOUNT;

    public String getGuid()
    {
        return GUID;
    }

    public String getVcuicode()
    {
        return VC_UI_CODE;
    }

    public String getVcuiname()
    {
        return VC_UI_NAME;
    }

    public String getVcuistate()
    {
        if(VC_UI_STATE == null){
            return null;
        }else {
            //(0停用(退户)  1启用  2销户)
            String state = VC_UI_STATE;
            switch (VC_UI_STATE){
                case "0":
                    state = "停用";
                    break;
                case "1":
                    state = "启用";
                    break;
                case "2":
                    state = "销户";
                    break;
            }
            return state;
        }
    }

    public String getVcuiaddr()
    {
        return VC_UI_ADDR;
    }

    public String getVcuitel()
    {
        return VC_UI_TEL;
    }

    public String getVcuiidno()
    {
        return VC_UI_IDNO;
    }

    public String getVcuiremark()
    {
        return VC_UI_REMARK;
    }

    public String getNuibeforeamount()
    {
        if (N_UI_BEFOREAMOUNT == null){
            return null;
        }else {
            return N_UI_BEFOREAMOUNT.startsWith(".")?(0+N_UI_BEFOREAMOUNT):N_UI_BEFOREAMOUNT;
        }
    }

    public String getNuilastamount()
    {
        if (N_UI_LASTAMOUNT == null){
            return null;
        }else {
            return N_UI_LASTAMOUNT.startsWith(".")?(0+N_UI_LASTAMOUNT):N_UI_LASTAMOUNT;
        }
    }
}
